## ros-indigo-cob-camera-sensors 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_camera_sensors)

find_package(catkin REQUIRED COMPONENTS cmake_modules cob_vision_utils cv_bridge image_transport message_filters message_generation polled_camera roscpp sensor_msgs)

find_package(Boost REQUIRED COMPONENTS filesystem thread)

find_package(OpenCV REQUIRED)

find_package(TinyXML REQUIRED)

### Message Generation ###
add_service_files(
  FILES
  AcquireCalibrationImages.srv
  GetTOFImages.srv
)

generate_messages(
   DEPENDENCIES sensor_msgs
)

catkin_package(
  CATKIN_DEPENDS cmake_modules cob_vision_utils message_runtime roscpp sensor_msgs
  DEPENDS Boost OpenCV
  INCLUDE_DIRS common/include
)

### INSTALL ###
install(DIRECTORY common/include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES common/scripts/generateYAMLparameterFile.m
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/common/scripts
)

install(PROGRAMS ros/scripts/set_camera_info.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-camera-sensors (0.6.12-0trusty) trusty; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_driver into feature/mimic_sim
  * Merge pull request #351 <https://github.com/ipa320/cob_driver/issues/351> from mikaelarguedas/add_tinyxml_dependency
    add tinyxml to package.xml
  * add tinyxml to package.xml
  * Merge pull request #349 <https://github.com/ipa320/cob_driver/issues/349> from ipa320/ipa-rmb-patch-1
    Changed Maintainer
  * Changed Maintainer
  * Contributors: Benjamin Maidel, Felix Messmer, Mikael Arguedas, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.10-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.9-0trusty) trusty; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Jan Fischer <jsf@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.8-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.7-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.6-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.5-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.4-0trusty) trusty; urgency=high

  * boost revision
  * explicit dependency to boost
  * more cleanup
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Jan Fischer <jsf@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.3-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.2-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.1-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.6.0-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.5.7-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Contributors: Alexander Bubeck, Florian Weisshardt

 -- Jan Fischer <jsf@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.5.6-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Contributors: Alexander Bubeck, Florian Weisshardt

 -- Jan Fischer <jsf@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.5.3-0trusty) trusty; urgency=high

  * removed obsolete files
  * install tags
  * Contributors: ipa-fxm

 -- Jan Fischer <jsf@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-cob-camera-sensors (0.5.2-0trusty) trusty; urgency=high



 -- Jan Fischer <jsf@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-indigo-cob-camera-sensors (0.5.1-0trusty) trusty; urgency=high

  * cob_camera_sensors: add missing dependency to message_generation/message_runtime
  * cleaned up CMakeLists and added install directives
  * compiling but still some linker errors
  * get frame id
  * Second catkinization push
  * First catkinization, still need to update some CMakeLists.txt
  * fixed namespace, removed obsolete lines from manifest
  * removed throttle node to perception common
  * moved to cob_cam3d_throttle in cob_perception_common
  * set queue size to 1
  * remove launch file from driver stack
  * added additional topics, added launch file for testing
  * Merge branch 'master' of github.com:ipa320/cob_driver
  * add subscription management
  * fixed nodelet name
  * add nodelet plugin file
  * added cam3d throttle
  * remove deprecated deps of cob_camera_sensors
  * moved kinect image flip from cob_camera_sensors to cob_image_flip
  * moved kinect image flip from cob_camera_sensors to cob_image_flip
  * removed deprecated debs
  * Merge branch 'release_fuerte'
  * fuerte rosdep migration
  * changes for fuerte compatibility
  * fix lib directory
  * removed deprecated launch files
  * using tinyxml from system dependency
  * merge
  * using kinect driver without nodelet
  * small changes
  * Merge branch 'master' of github.com:ipa-fmw/cob_driver
  * add voxelgrid filter
  * set frrequency of cameras to 10
  * deactivate test for cam3d
  * using env ROBOT
  * small changes
  * fix test for camera_sensors
  * merge with 320
  * merge
  * Removed kinect stuff. To be replaced by rmb version
  * added dummy depth calibration to kinect driver
  * adapted cob_camera_sensors to new kinect driver in electric
  * camera_sensors test
  * fixed includes
  * added rostest
  * Updated camera calibration for cob3-3
  * PCH LINUX
  * PCH
  * PCH
  * StdAFx
  * merge
  * Merge branch 'review-rmb'


=== debian/control ===
Source: ros-indigo-cob-camera-sensors
Section: misc
Priority: extra
Maintainer: Richard Bormann <richard.bormann@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, libtinyxml-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cob-vision-utils, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-message-filters, ros-indigo-message-generation, ros-indigo-polled-camera, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: http://ros.org/wiki/cob_camera_sensors
Standards-Version: 3.9.2

Package: ros-indigo-cob-camera-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, libtinyxml-dev, ros-indigo-cmake-modules, ros-indigo-cob-vision-utils, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-message-filters, ros-indigo-message-runtime, ros-indigo-polled-camera, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs
Description: For more information read the readme.htm file located in

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-camera-sensors//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
